Pular para o conteúdo principal
DELETE
/
v1
/
matching
/
groups
/
{matchGroupId}
Break/Unmatch a match group
curl --request DELETE \
  --url https://matcher.sandbox.lerian.net/v1/matching/groups/{matchGroupId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "incorrect match - amounts do not match"
}
'
{
  "code": "404",
  "title": "not_found",
  "message": "context not found",
  "error": "<string>"
}

Autorizações

Authorization
string
header
obrigatório

Bearer token authentication (format: "Bearer {token}")

Cabeçalhos

X-Request-Id
string

A unique identifier for tracing the request across services.

Parâmetros de caminho

matchGroupId
string
obrigatório

Match Group ID

Parâmetros de consulta

contextId
string
obrigatório

Context ID

Corpo

application/json

Unmatch payload with rejection reason

reason
string
obrigatório
Exemplo:

"incorrect match - amounts do not match"

Resposta

Indicates that the operation was successful with no content to return.